Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608133 - [abrt] crash in Miro-3.0.2-1.fc13: displays.py:489:_prepare_remove_renderer:AttributeError: 'NoneType' object has no attribute 'stop'
[abrt] crash in Miro-3.0.2-1.fc13: displays.py:489:_prepare_remove_renderer:A...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
abrt_hash:408aa973
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 15:12 EDT by Simon Lachance
Modified: 2010-09-15 01:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 01:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.07 KB, text/plain)
2010-06-25 15:12 EDT, Simon Lachance
no flags Details

  None (edit)
Description Simon Lachance 2010-06-25 15:12:24 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/miro.real /media/100610_2242/engrenages.s03e10.hdtv-jmt.avi
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.33.3-85.fc13.i686.PAE
package: Miro-3.0.2-1.fc13
reason: displays.py:489:_prepare_remove_renderer:AttributeError: 'NoneType' object has no attribute 'stop'
release: Fedora release 13 (Goddard)
Comment 1 Simon Lachance 2010-06-25 15:12:26 EDT
Created attachment 426962 [details]
File: backtrace
Comment 2 Fedora Update System 2010-08-29 13:20:04 EDT
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14
Comment 3 Fedora Update System 2010-08-29 13:27:07 EDT
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13
Comment 4 Fedora Update System 2010-08-29 13:31:15 EDT
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12
Comment 5 Fedora Update System 2010-08-30 15:41:54 EDT
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14
Comment 6 will kahn-greene 2010-08-30 17:07:10 EDT
I'm not sure why self.renderer is None at that point, but I added some defensive programming code in 3ff819a.  This will go out with Miro 3.5.
Comment 7 Fedora Update System 2010-09-14 01:02:48 EDT
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-09-15 01:34:41 EDT
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-09-15 01:49:48 EDT
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.